// creator  : weidu.exe (version 23600)
// argument : DORN.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~DORN~

IF ~  NumberOfTimesTalkedTo(0)
AreaCheck("AR2301")
~ THEN BEGIN 0 // from:
  SAY #28353 /* ~Hrmm. It's about time, <RACE>. Bring me another flagon of ale.~ [DN1] */
  IF ~~ THEN REPLY #28354 /* ~I think you've mistaken me for someone else.~ */ GOTO 1
  IF ~~ THEN REPLY #28355 /* ~I am not your servant. Get your own ale!~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.1 0.0
  SAY #28356 /* ~Then why do you bother me? Begone.~ [DN2] */
  IF ~~ THEN REPLY #28357 /* ~Nothing would please me more.~ */ DO ~SetGlobal("DORNPLOT","GLOBAL",1)
SetNumTimesTalkedTo(1)
AddJournalEntry(30814,QUEST)
~ EXIT
END

IF ~  NumTimesTalkedToGT(0)
AreaCheck("AR2301")
Global("DORNPLOT","GLOBAL",1)
!InParty("DORN")
Global("DORNINPARTY","GLOBAL",0)
~ THEN BEGIN 2 // from:
  SAY #28359 /* ~Listen carefully, <RACE>. If you continue to pester me, I will crush your neck with my bare hands. Go. Now.~ [DN3] */
  IF ~~ THEN EXIT
END

IF ~  AreaCheck("OH1000")
!Dead("SENJACK")
!Dead("DOROTEA")
~ THEN BEGIN 3 // from:
  SAY #28360 /* ~SENJAK! DOROTEA! I swore I would crush the life out of you someday. Today is that day!~ [DN11] */
  IF ~~ THEN EXTERN ~SENJACK~ 3
END

IF ~~ THEN BEGIN 4 // from: DOROTEA:2.0
  SAY #28361 /* ~"Just following orders" is a coward's excuse, Dorotea. And I haven't forgotten what you said when I refused your advances.~ [DN14] */
  IF ~~ THEN EXTERN ~SENJACK~ 4
END

IF ~~ THEN BEGIN 5 // from:
  SAY #28362 /* ~You are both mewling cowards, turning on each other as easily as you turned on me. Half your men are already dead. You'll join them soon.~ [DN17A] */
  IF ~~ THEN EXTERN ~DOROTEA~ 4
END

IF ~  Dead("SENJACK")
Dead("DOROTEA")
Global("DORN_AMBUSH","GLOBAL",1)
~ THEN BEGIN 6 // from:
  SAY #28363 /* ~Hrmm. You handled yourself well enough.~ [DN18] */
  IF ~~ THEN REPLY #28364 /* ~You act surprised.~ */ GOTO 7
  IF ~~ THEN REPLY #28365 /* ~Who are you? What was that business between those bandits and you?~ */ GOTO 8
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #28366 /* ~As a rule I do not rely on those who fight beside me. Perhaps you may prove an exception to the rule.~ [DN19] */
  IF ~~ THEN REPLY #28367 /* ~Perhaps. What was that business with those two bandits? And who are you, anyway?~ */ GOTO 8
  IF ~~ THEN REPLY #28368 /* ~Glad to have been of service. I must be on my way.~ */ GOTO 11
END

IF ~~ THEN BEGIN 8 // from: 7.0 6.1
  SAY #28369 /* ~My name is Dorn Il-Khan, and I was settling an old score. I've been hunting those two for almost a year now. That's two down and two to go.~ [DN20] */
  IF ~~ THEN REPLY #28370 /* ~When you struck them down, what happened? I saw some ghostly apparition appear.~ */ GOTO 9
  IF ~~ THEN REPLY #28371 /* ~Happy hunting. I must be off.~ */ GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #28358 /* ~My powers are none of your concern, unless you are looking for a strong arm to join you.~ [DN21] */
  IF ~  CheckStatGT(Player1,15,INT)
~ THEN REPLY #28372 /* ~You're a blackguard, aren't you?~ */ DO ~SetGlobal("KNOW_BLACKGUARD","OH1000",1)
~ GOTO 10
  IF ~  InParty("AJANTIS")
~ THEN REPLY #28373 /* ~They were quite impressive. I could use a man like you.~ */ EXTERN ~AJANTJ~ 2
  IF ~  !InParty("AJANTIS")
~ THEN REPLY #28373 /* ~They were quite impressive. I could use a man like you.~ */ GOTO 11
  IF ~~ THEN REPLY #28374 /* ~I see. Well, goodbye, Dorn.~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #28375 /* ~Very perceptive. I suppose you are full of questions about the source of my power. Don't bother.~ [DN24] */
  IF ~  InParty("AJANTIS")
~ THEN REPLY #28376 /* ~I'm always on the lookout for traveling companions with useful skills. Would you be interested in joining me?~ */ EXTERN ~AJANTJ~ 2
  IF ~  !InParty("AJANTIS")
~ THEN REPLY #28376 /* ~I'm always on the lookout for traveling companions with useful skills. Would you be interested in joining me?~ */ GOTO 11
  IF ~~ THEN REPLY #28377 /* ~Blackguards always have one foot in the Abyss, don't they? I think it would be best if I took my leave of you.~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.2 10.1 9.3 9.2 8.1 7.1
  SAY #28378 /* ~Wait, are you <CHARNAME>?~ [DN25] */
  IF ~~ THEN REPLY #28379 /* ~Yes, I am <PRO_HESHE>.~ */ GOTO 12
  IF ~~ THEN REPLY #28380 /* ~What if I am?~ */ GOTO 12
END

IF ~~ THEN BEGIN 12 // from: AJANTJ:2.0 11.1 11.0
  SAY #28381 /* ~Hrmm. I've heard of your... prowess. Traveling with you might help my vendetta, and my powers could certainly help you.~ [DN26] */
  IF ~~ THEN REPLY #28382 /* ~Perhaps they would. Before I accept your aid and offer mine in return, who exactly are you looking for?~ */ GOTO 13
  IF ~  Global("KNOW_BLACKGUARD","OH1000",1)
OR(3)
Alignment(Player1,LAWFUL_GOOD)
Alignment(Player1,NEUTRAL_GOOD)
Alignment(Player1,CHAOTIC_GOOD)
~ THEN REPLY #28383 /* ~I'm afraid I can't allow one such as you to join me.~ */ GOTO 15
  IF ~~ THEN REPLY #28384 /* ~Perhaps another time, Dorn.~ */ GOTO 15
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #28385 /* ~My former companions betrayed me and left me to rot in a Luskan prison. I've spent the last year tracking them down. After Senjak and Dorotea, there are two left.~ [DN27] */
  IF ~~ THEN REPLY #28386 /* ~I see. Betrayal cannot go unpunished, you may join me in my travels, Dorn.~ */ GOTO 16
  IF ~~ THEN REPLY #28387 /* ~Aye, and why do you need my help? You seem to be doing well enough on your own.~ */ GOTO 14
  IF ~~ THEN REPLY #28388 /* ~An interesting tale. Perhaps another time, Dorn Il-Khan.~ */ GOTO 15
END

IF ~~ THEN BEGIN 14 // from: 13.1
  SAY #28389 /* ~My appearance often frightens those who have information I need. Investigation is not my strong suit. From what I've heard, you have a knack for this sort of thing.~ [DN28] */
  IF ~  !InParty("IMOEN")
!InParty("MINSC")
!InParty("XAN")
!InParty("JAHEIRA")
~ THEN REPLY #28390 /* ~Yes, I can see your point. Welcome aboard, Dorn.~ */ GOTO 16
  IF ~  InParty("IMOEN")
~ THEN REPLY #28390 /* ~Yes, I can see your point. Welcome aboard, Dorn.~ */ EXTERN ~IMOEN2~ 5
  IF ~  !InParty("IMOEN")
InParty("MINSC")
~ THEN REPLY #28390 /* ~Yes, I can see your point. Welcome aboard, Dorn.~ */ EXTERN ~MINSCJ~ 9
  IF ~  !InParty("IMOEN")
!InParty("MINSC")
InParty("XAN")
~ THEN REPLY #28390 /* ~Yes, I can see your point. Welcome aboard, Dorn.~ */ EXTERN ~XANJ~ 4
  IF ~  !InParty("IMOEN")
!InParty("MINSC")
!InParty("XAN")
InParty("JAHEIRA")
~ THEN REPLY #28390 /* ~Yes, I can see your point. Welcome aboard, Dorn.~ */ EXTERN ~JAHEIJ~ 9
  IF ~~ THEN REPLY #28391 /* ~As sound as your reasoning is, Dorn, I must decline.~ */ GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.5 13.2 12.2 12.1
  SAY #28392 /* ~Hrmm. You shouldn't make a habit of committing mistakes like this. They add up. If you change your mind, I shall be at the Friendly Arm Inn.~ [DN29] */
  IF ~~ THEN DO ~AddJournalEntry(30816,QUEST)
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetDialogue("DORNP")
ChangeEnemyAlly("DORN",NEUTRAL)
SetGlobal("DORNPARTY","GLOBAL",0)
EscapeAreaMove("AR2301",1132,727,S)
~ EXIT
END

IF ~~ THEN BEGIN 16 // from: 14.0 13.0
  SAY #28393 /* ~Very wise, <CHARNAME>. We shall cut a bloody swath across the Sword Coast!~ [DN30] */
  IF ~~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN6",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXIT
  IF ~  XPLT(Player1,35999)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN4",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXIT
  IF ~  XPLT(Player1,9000)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN2",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXIT
  IF ~  XPLT(Player1,2250)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
JoinParty()
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXIT
  IF ~  InParty("AJANTIS")
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN6",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXTERN ~AJANTJ~ 3
  IF ~  InParty("AJANTIS")
XPLT(Player1,35999)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN4",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXTERN ~AJANTJ~ 3
  IF ~  InParty("AJANTIS")
XPLT(Player1,9000)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN2",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXTERN ~AJANTJ~ 3
  IF ~  InParty("AJANTIS")
XPLT(Player1,2250)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
JoinParty()
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXTERN ~AJANTJ~ 3
  IF ~  InParty("YESLICK")
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN6",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXTERN ~YESLIJ~ 5
  IF ~  InParty("YESLICK")
XPLT(Player1,35999)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN4",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXTERN ~YESLIJ~ 5
  IF ~  InParty("YESLICK")
XPLT(Player1,9000)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
CreateCreatureObjectOffset("DORN2",Myself,[0.0])
DestroySelf()
ActionOverride("DORN",JoinParty())
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXTERN ~YESLIJ~ 5
  IF ~  InParty("YESLICK")
XPLT(Player1,2250)
~ THEN DO ~AddJournalEntry(30815,QUEST)
ReputationInc(-2)
SetGlobal("BACKFROMAMBUSH","GLOBAL",1)
SetGlobal("DORNPARTY","GLOBAL",1)
JoinParty()
ActionOverride("DORN",ChangeAIScript("DORN",OVERRIDE))
~ EXTERN ~YESLIJ~ 5
END
